Package com.openmeet.shared.data.image

# Class Image

java.lang.Object
com.openmeet.shared.data.image.Image

All Implemented Interfaces:
  `IEntity`

public class Image extends Object implements IEntity
This class represents the Image Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMAGE`
  `static final String`
  `IMAGE_ID`
  `static final String`
  `IMAGE_MEETER_ID`
  `static final String`
  `IMAGE_PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Image()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Returns the id of the Image.
  `int`
  `getMeeterId()`
  Returns the meeterId of the Image.
  `String`
  `getPath()`
  Returns the path of the Image.
  `void`
  `setId(int id)`
  Sets the id of the Image.
  `void`
  `setMeeterId(int meeterId)`
  Sets the meeterId of the Image.
  `void`
  `setPath(String path)`
  Sets the path of the Image.
  `HashMap<String,?>`
  `toHashMap()`
  Returns the Image as an hashMap.
  `HashMap<String,?>`
  `toHashMap(String... fields)`
  Returns the Image as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### IMAGE

    public static final String IMAGE
    See Also:
      - Constant Field Values

  - ### IMAGE_ID

    public static final String IMAGE_ID
    See Also:
      - Constant Field Values

  - ### IMAGE_PATH

    public static final String IMAGE_PATH
    See Also:
      - Constant Field Values

  - ### IMAGE_MEETER_ID

    public static final String IMAGE_MEETER_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Image

    public Image()

- ## Method Details

  - ### toHashMap

    public HashMap<String,?> toHashMap()
    Returns the Image as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Image as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,?> toHashMap(String... fields)
    Returns the Image as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Image as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Image.
    Returns:
      the id of the Image.

  - ### setId

    public void setId(int id)
    Sets the id of the Image.
    Parameters:
      `id` - the id of the Image.

  - ### getPath

    public String getPath()
    Returns the path of the Image.
    Returns:
      the path of the Image.

  - ### setPath

    public void setPath(String path)
    Sets the path of the Image.
    Parameters:
      `path` - the path of the Image.

  - ### getMeeterId

    public int getMeeterId()
    Returns the meeterId of the Image.
    Returns:
      the meeterId of the Image.

  - ### setMeeterId

    public void setMeeterId(int meeterId)
    Sets the meeterId of the Image.
    Parameters:
      `meeterId` - the meeterId of the Image.